package com.ss.android.ugc.aweme.feed.sound;

import X.0Gp;
import X.8Zd;
import X.8Ze;
import X.8ec;
import X.9Ft;
import X.9Fx;
import X.C55034Zr;
import X.C55064Zu;
import X.C55074Zv;
import X.RXQ;
import X.Tpf;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.List;

public final class AutoAdjustVolumeTask implements 8Ze {
    static {
        Covode.recordClassIndex(79371);
    }

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public final 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    public final 8ec type() {
        if (RXQ.LIZIZ.LIZJ()) {
            return 8ec.BACKGROUND;
        }
        return 8ec.MAIN;
    }

    public final void run(Context context) {
        double LIZ = C55074Zv.LIZ(2);
        C55034Zr.LIZIZ = LIZ;
        if (!Tpf.LIZ.LIZIZ()) {
            return;
        }
        if (RXQ.LIZIZ.LIZJ()) {
            C55034Zr.LJ.LIZ(LIZ);
        } else {
            0Gp.LIZ(500).LIZ(new C55064Zu(LIZ));
        }
    }
}
